[问题]求助安装Avant Window Navigator出错

GnomeShell/Unity/Beryl/AiGLX/XGL/Compiz Fusion
回复
kukala
帖子: 6
注册时间: 2006-10-22 8:16
送出感谢: 0
接收感谢: 0

[问题]求助安装Avant Window Navigator出错

#1

帖子 kukala » 2007-10-21 18:38

gutsy:
代码:
deb http://download.tuxfamily.org/syzygy42 gutsy avant-window-navigator
deb-src http://download.tuxfamily.org/syzygy42 gutsy avant-window-navigator
代码:
wget http://download.tuxfamily.org/syzygy42/reacocard.asc
sudo apt-key add reacocard.asc
rm reacocard.asc
sudo apt-get update
sudo apt-get install avant-window-navigator-bzr awn-core-applets-bzr

执行提示
正在读取软件包列表... 有错误!
E: Problem parsing dependency Depends
E: 处理 php5-mhash (NewVersion1)时出错
E: Problem with MergeList /var/lib/apt/lists/cn.archive.ubuntu.com_ubuntu_dists_gutsy_main_binary-i386_Packages
E: 无法解析或打开软件包的列表或是状态文件。


该如何解决?
Robinho
帖子: 22
注册时间: 2007-03-01 15:22
来自: 广州
送出感谢: 0
接收感谢: 0

#2

帖子 Robinho » 2007-10-21 20:42

建议您直接去getdeb.net搜awn的deb文件来安装。。
头像
yexin218
帖子: 461
注册时间: 2007-08-22 17:36
来自: 澳门
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 yexin218 » 2007-10-21 20:48

我很敏捷,我是网上的蜘蛛;我很茫然,我是网中的猎物!
欢迎到我的Blog※代码回音※
头像
yexin218
帖子: 461
注册时间: 2007-08-22 17:36
来自: 澳门
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 yexin218 » 2007-10-21 20:54

Step 1: 安装必要的东西

* sudo apt-get install build-essential bzr automake1.9 autotools-dev


Step 2: 安装依赖关系

* sudo apt-get install libxdamage-dev libxcomposite-dev libgnome2-common libgnome2-dev libgnome-desktop-dev libgnome-vfs-dev libgtk2.0-dev libwnck-dev libgconf2-dev libglib2.0-dev libdbus-glib-1-dev libgnomevfs2-0 libgnome-desktop-2 libgnome2-0 libwnck-common python-gtk2 python-gconf gnome-common


Step 3: 从Bazaar下载 Avant Window Navigator from :

* bzr co http://bazaar.launchpad.net/~awn-core/awn/trunk avant-window-navigator


Step 4:

* cd avant-window-navigator
* ./autogen.sh
* make
* sudo make install


Step 7: 运行 Avant Window Navigator

* Alt-F2
* avant-window-navigator


Step 8: 开机自动运行

* 点击 系统, 首选项
* 点击 会话
* 点击 启动程序
* 点击 "添加 " 接着“ 输入 " "avant-window-navigator" 名字和命令行都一样
* 点击 "确定"
* 点击 "关闭"

按照上面的方法,我安装好之后,运行出现一下情况
vanciki@vanciki-desktop:~$ avant-window-navigator
avant-window-navigator: error while loading shared libraries: libawn.so.0: cannot open shared object file: No such file or directory

后来我就找libawn的deb,结果没有找到,找到个rpm的,
就用sudo alien libawn.rpm 弄成deb包了,
这样就安装成功了
我很敏捷,我是网上的蜘蛛;我很茫然,我是网中的猎物!
欢迎到我的Blog※代码回音※
头像
woxiguilin
帖子: 8
注册时间: 2007-08-28 17:03
来自: 中国上海市浦东新区
送出感谢: 0
接收感谢: 0

不好装

#5

帖子 woxiguilin » 2007-12-18 17:07

我按照你的办法,还是不好装啊

xgl@xiguilin:~/avant-window-navigator$ make
make: *** 没有指明目标并且找不到 makefile。 停止。
==[XGL]:::>>>
回复

回到 “桌面特效”